summaryrefslogtreecommitdiffstats
path: root/testing/bluez/bluetooth.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/bluez/bluetooth.initd')
-rw-r--r--testing/bluez/bluetooth.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/bluez/bluetooth.initd b/testing/bluez/bluetooth.initd
new file mode 100644
index 00000000..9ec58e97
--- /dev/null
+++ b/testing/bluez/bluetooth.initd
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/4.60/bluetooth-init.d,v 1.1 2010/02/01 19:47:46 pacho Exp $
+
+depend() {
+ after coldplug
+ need dbus localmount
+}
+
+start() {
+ ebegin "Starting Bluetooth"
+
+ if [ -x /sbin/udevadm ]; then
+ udevadm trigger --subsystem-match=bluetooth
+ eend $?
+ fi
+
+ if [ "${RFCOMM_ENABLE}" = "true" -a -x /usr/bin/rfcomm ]; then
+ if [ -f "${RFCOMM_CONFIG}" ]; then
+ /usr/bin/rfcomm -f "${RFCOMM_CONFIG}" bind all
+ else
+ ewarn "Not enabling rfcomm because RFCOMM_CONFIG does not exists"
+ fi
+ fi
+ eend $?
+}
+
+stop() {
+ ebegin "Shutting down Bluetooth"
+ eend 0
+}